Draft FlipDimension/tr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(9 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{docnav|[[Draft_Heal|Heal]]|[[Draft_VisGroup|VisGroup]]|[[Draft_Module|Draft]]|IconL=Draft_Heal.svg|IconC=Workbench_Draft.svg|IconR=Draft_VisGroup.svg}}
{{Docnav
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconC=Workbench_Draft.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/tr
{{GuiCommand/tr|Name=Draft FlipDimension|Name/tr=Boyutu çevir|Workbenches=[[Draft Module/tr|Draft]], [[Arch Module/tr|Arch]]|MenuLocation=Draft → Utilities → Flip Dimension|SeeAlso=[[Draft Dimension/tr|Dimension]]}}
|Name=Draft FlipDimension
|Name/tr=Boyutu çevir
|MenuLocation=Draft → Utilities → Flip Dimension
|Workbenches=[[Draft_Workbench/tr|Draft]], [[Arch_Workbench/tr|Arch]]
|SeeAlso=[[Draft Dimension/tr|Dimension]]
}}
</div>
</div>


==Description==
==Description==

This tool flips the [[Draft Dimension]] text around the dimension line. It can be done to adjust the appearance of the dimension.
The [[Image:Draft_FlipDimension.svg|24px]] '''Draft FlipDimension''' command rotates the dimension text of selected [[Draft_Dimension|Draft Dimensions]] 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.

==Usage==

# Select one or more [[Draft_Dimension|Draft Dimensions]].
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Draft_FlipDimension.svg|16px]] [[Draft_FlipDimension|Flip dimension]]}} button.
#* Select the {{MenuCommand|Modification → [[Image:Draft_FlipDimension.svg|16px]] Flip dimension}} option from the menu.

==Notes==

* [[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property. When set to {{TRUE}} the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

==Scripting==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].

To flip a [[Draft_Dimension|Draft Dimension]] invert its {{incode|Normal}} property.

Example:

{{Code|code=
import FreeCAD as App
import Draft


doc = App.newDocument()
==How to use==
# Select a [[Draft Dimension]] object.
# Go to the menu {{MenuCommand|Draft → Utilities → [[Image:Draft_FlipDimension.png|16px]] [[Draft FlipDimension|Flip Dimension]]}}.


p1 = App.Vector(0, 0, 0)
What this tool does internally is to invert the normal direction of the dimension, which is used to position the text.
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200


dimension.Normal = dimension.Normal.negative()
[[Draft Dimension]]s also have a {{PropertyData|Flip Text}} property which, when it is {{TRUE}}, rotates the text by 180 degrees around the normal direction. By combining these two features, flipping the normal direction and flipping the text, you are able to make the text appear correctly in all possible situations.
doc.recompute()
}}


{{docnav|[[Draft_Heal|Heal]]|[[Draft_VisGroup|VisGroup]]|[[Draft_Module|Draft]]|IconL=Draft_Heal.svg|IconC=Workbench_Draft.svg|IconR=Draft_VisGroup.svg}}


{{Docnav
{{Draft Tools navi}}
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconC=Workbench_Draft.svg
}}


{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 19:54, 7 December 2023

Boyutu çevir

Menü konumu
Draft → Utilities → Flip Dimension
Tezgahlar
Draft, Arch
Varsayılan kısayol
Hiçbiri
Versiyonda tanıtıldı
-
Ayrıca bkz
Dimension

Description

The Draft FlipDimension command rotates the dimension text of selected Draft Dimensions 180° around the dimension line. It can be used to correct dimensions whose text appears mirrored. The command does not work properly for angular dimensions.

Usage

  1. Select one or more Draft Dimensions.
  2. There are several ways to invoke the command:
    • Press the Flip dimension button.
    • Select the Modification → Flip dimension option from the menu.

Notes

  • Draft Dimensions also have a VeriFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()